Search Wikipedia articles

Searches Wikipedia articles and returns titles, snippets and links.

Request

GEThttps://wikipedia-search.p.apihiver.com/v1/search?q=Taj+Mahal
*
String. Search text.
String. Wikipedia language code, e.g. en, hi, mr, ta (default en).
Number. Maximum number of results (1–50, default 10).
Language
Client
1curl --request GET \
2  --url 'https://wikipedia-search.p.apihiver.com/v1/search?q=Taj%20Mahal&lang=%7Blang%7D&limit=%7Blimit%7D' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Search Wikipedia articles: Wikipedia Search API reference

Searches Wikipedia articles and returns titles, snippets and links. This endpoint is part of the Wikipedia Search API: Search Wikipedia in 300+ languages, get article summaries with images, 'on this day' events, random articles and autocomplete.

Example response (200, application/json)

Success.

1{
2  "query": "Taj Mahal",
3  "results": [
4    {
5      "url": "https://en.wikipedia.org/wiki/Taj_Mahal",
6      "title": "Taj Mahal",
7      "snippet": "The Taj Mahal (/ˌtɑːdʒ məˈhɑːl, ˌtɑːʒ -/ TAHJ mə-HAHL, TAHZH -⁠; Hindustani: [t̪ɑːd͡ʒ ˈmɛɦ(ɛ)l]; lit. 'Crown of the Palace') is an ivory-white marble mausoleum",
8      "word_count": 7991,
9      "last_edited": "2026-09-26T00:34:55Z"
10    },
11    {
12      "url": "https://en.wikipedia.org/wiki/Taj_Mahal_%28musician%29",
13      "title": "Taj Mahal (musician)",
14      "snippet": "Claire Fredericks Jr. (born May 17, 1942), better known by his stage name Taj Mahal, is an American blues musician. He plays the guitar, piano, banjo, harmonica",
15      "word_count": 4540,
16      "last_edited": "2026-09-18T00:28:22Z"
17    },
18    {
19      "url": "https://en.wikipedia.org/wiki/The_Taj_Story",
20      "title": "The Taj Story",
21      "snippet": "Filmfare gave 2 stars out of 5 and said that \"The Taj Story endorses the belief that the Taj Mahal is a Hindu structure. The film pretends neutrality",
22      "word_count": 2163,
23      "last_edited": "2026-09-14T02:28:25Z"
24    }
25  ],
26  "total_hits": 5017,
27  "attribution": "Content from Wikipedia, CC BY-SA 4.0"
28}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "q: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.